## GES GErrors GES GErrors — GError — Categorized error messages |

## Synopsis

    #include <ges/ges.h>

    #define             GES_ERROR
    enum                GESError;

## Description

## Details

### GES_ERROR

    #define GES_ERROR g_quark_from_static_string("GES_ERROR")

An error happened in GES

### enum GESError

    typedef enum {
      GES_ERROR_ASSET_WRONG_ID,
      GES_ERROR_ASSET_LOADING,
      GES_ERROR_FORMATTER_MALFORMED_INPUT_FILE,
    } GESError;

`GES_ERROR_ASSET_WRONG_ID` | The ID passed is malformed
`GES_ERROR_ASSET_LOADING` | An error happened while loading the asset
`GES_ERROR_FORMATTER_MALFORMED_INPUT_FILE` | The formatted files was malformed